Bug 917868 - rpmlint complains about any non-ghost file in /etc not being marked config
rpmlint complains about any non-ghost file in /etc not being marked config
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: rpmlint (Show other bugs)
rawhide
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Tom "spot" Callaway
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-03-04 19:35 EST by Toshio Ernie Kuratomi
Modified: 2013-03-20 17:39 EDT (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-03-19 16:05:23 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
whitelist certain subdirectories in /etc/ as acontaining files that shouldn't be marked %config (1.15 KB, patch)
2013-03-04 19:35 EST, Toshio Ernie Kuratomi
no flags Details | Diff
Patch the Fedora package's config (683 bytes, patch)
2013-03-06 15:55 EST, Toshio Ernie Kuratomi
no flags Details | Diff

  None (edit)
Description Toshio Ernie Kuratomi 2013-03-04 19:35:50 EST
Created attachment 705245 [details]
whitelist certain subdirectories in /etc/ as acontaining files that shouldn't be marked %config

Description of problem:

Certain files in /etc/ should not be marked config.  Perhaps we could add a regex to specify a whitelist of such files?

I'll attach a patch as a proof of concept.
Comment 1 Ville Skyttä 2013-03-06 15:00:13 EST
It's better to filter these out in a config file instead of patching the code, see e.g. the existing addFilter()'s in /usr/share/rpmlint/config.
Comment 2 Toshio Ernie Kuratomi 2013-03-06 15:55:17 EST
Created attachment 706250 [details]
Patch the Fedora package's config

Thanks for pointing that out!

Here's a patch against the base Fedora config file in the git repo.
Comment 3 Fedora Update System 2013-03-06 16:15:21 EST
rpmlint-1.4-13.fc18 has been submitted as an update for Fedora 18.
https://admin.fedoraproject.org/updates/rpmlint-1.4-13.fc18
Comment 4 Fedora Update System 2013-03-06 16:15:33 EST
rpmlint-1.4-13.fc17 has been submitted as an update for Fedora 17.
https://admin.fedoraproject.org/updates/rpmlint-1.4-13.fc17
Comment 5 Fedora Update System 2013-03-07 19:06:58 EST
Package rpmlint-1.4-13.fc17:
* should fix your issue,
* was pushed to the Fedora 17 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing rpmlint-1.4-13.fc17'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2013-3553/rpmlint-1.4-13.fc17
then log in and leave karma (feedback).
Comment 6 Fedora Update System 2013-03-19 16:05:26 EDT
rpmlint-1.4-13.fc18 has been pushed to the Fedora 18 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 7 Fedora Update System 2013-03-20 17:39:55 EDT
rpmlint-1.4-13.fc17 has been pushed to the Fedora 17 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.